# $Revision: 1.28.2.1 $, $Date: 2006/04/24 01:42:36 $
Summary:	eDonkey2000 P2P Network Client
Summary(pl):	Klient sieci eDonkey2000
Name:		ed2k-gtk-gui
Version:	0.6.3
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	191581cf44cd334a9d56aff2c68f4806
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-enable-deprecated.patch
Patch2:		%{name}-desktop.patch
URL:		http://ed2k-gtk-gui.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnet-devel >= 2.0.0
BuildRequires:	gtk+2-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK+ GUI for eDonkey2000 or overnet core client.

%description -l pl
Nakadka na rdze klienta sieci eDonkey2000 lub sieci Overnet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f docs/{de,en,es,pl}/Makefile*

%find_lang ed2k_gui

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo""
echo "Please type edonkey-conf, when you'll be logged as user"
echo "It will prepare your donkey to use with ed2k :)"
echo ""
echo "You may also type overnet-conf, it will prepare overnet-core"
echo "to use with ed2k, more info at http://www.overnet.com/"
echo ""

%files -f ed2k_gui.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO AUTHORS docs/en
%lang(de) %doc docs/de
%lang(es) %doc docs/es
%lang(pl) %doc docs/pl
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/ed2k_gui
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ed2k-gtk-gui.spec,v $
Revision 1.28.2.1  2006/04/24 01:42:36  ankry
- fixed Categories in desktop, rel. 3

Revision 1.28  2004/12/20 02:34:41  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.27  2004/11/11 01:41:56  ankry
- ven -> ve (desktop patch), rel. 2

Revision 1.26  2004/09/28 21:14:29  jareq
- updated to 0.6.3
- rel 1

Revision 1.25  2004/08/30 09:27:54  gotar
- removed R: eDonkey-core - core can be remote

Revision 1.24  2004/08/19 21:14:46  averne
- refresh config.sub

Revision 1.23  2004/03/29 21:23:37  jack
- pl %doc added

Revision 1.22  2004/02/01 23:34:14  eothane
- looks like there was wrong md5sum

Revision 1.21  2004/02/01 23:29:29  eothane
- bconds, cosmetics

Revision 1.20  2004/01/19 09:52:16  trojan
- updated to 0.6.2
- added enable-deprecated patch (for allow build with gtk+2 >= 2.3)

Revision 1.19  2003/11/27 06:46:14  witekfl
- added home_etc.patch

Revision 1.18  2003/11/18 11:55:44  trojan
- updated to 0.6.1

Revision 1.17  2003/09/16 21:24:44  gotar
- upgraded to 0.6.0

Revision 1.16  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.15  2003/06/27 12:18:22  misi3k
- std sf url

Revision 1.14  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/21 14:58:01  mkochano
- Release 4.
- Fixed %%files.

Revision 1.11  2003/04/21 14:34:32  mkochano
- Release 3.
- BuildRequires: gnet-devel < 1.2.0.

Revision 1.10  2003/02/12 02:07:34  djrzulf
- desc updated

Revision 1.9  2003/02/05 08:59:49  djrzulf
- Release 2,
- it can be used with overnet core,

Revision 1.8  2003/02/03 11:55:27  jareq
- upgraded to 0.5.0
- STBR

Revision 1.7  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.6  2002/12/03 15:53:22  qboosh
- pl fix

Revision 1.5  2002/12/02 15:29:59  djrzulf
- updated description

Revision 1.4  2002/12/02 13:15:38  djrzulf
- added Provdies do cDonkey and edonkey2k-core,
- pl summary and description at cDonkey,
- changed ed2k-gtk-gui Requires from edonkey2k-core to edonkey-core,

Revision 1.3  2002/11/27 11:43:40  djrzulf
- added Requires and %post,
- Release 2,
- STBR,

Revision 1.2  2002/11/26 11:46:38  djrzulf
- fixed summary && desc

Revision 1.1  2002/11/26 11:43:44  djrzulf
- based on gtk-gnutella.spec,
- initial release,
- works fine ;>,
- STBR,
